Subject: Using Pine 3.94 with POP3

From: "Daniel W. Erskine" <[email-masked]>
Date: Fri, 27 Dec 1996 07:57:18 -0600

Greetings:
  Being somewhat out-of-touch with this newsgroup, can someone tell me how to 
configure Pine 3.94 for use with a POP3 server?  I would appreciate!!!
 
Thank you for your time,
------------------------------------------------------
    THE PRECEDING REFLECTS THE VIEWS OF THE AUTHOR
   AND NOT, NECESSARILY, THE VIEWS OF EDWARD JONES.
------------------------------------------------------
Daniel W. Erskine           "mailto:[email-masked]"
(314) 515-2226        "mailto:[email-masked]"

---

From: [email-masked] (Dave Zavatson)
Date: 30 Dec 1996 08:47:25 GMT

Daniel W. Erskine ([email-masked]) wrote:
: Greetings:
:   Being somewhat out-of-touch with this newsgroup, can someone tell me how to 
: configure Pine 3.94 for use with a POP3 server?  I would appreciate!!!

pine does not support POP, only IMAP.

	-Dave

---

From: "Robin S. Socha" <[email-masked]>
Date: Mon, 30 Dec 1996 16:16:34 +0100 (MET)

>pine does not support POP, only IMAP.

True, but maybe the information that programs like "popclient" or "fetchpop"
do might be of some help. You can write a small shell script to use them with
pine.

================================snip here====================================

DESCRIPTION
       popclient  is  a  Post  Office  Protocol  compliant   mail
       retrieval client which supports both POP2 (as specified in
       RFC 937) and POP3 (RFC 1725).

       Typically, popclient will be  used  to  download  mail  in
       batch  from  the  remote mailserver specified by host to a
       mail folder on the local disk.  The  retrieved  mail  will
       then  be  manipulated  using  a local mail reader, such as
       mail or elm.

       To facilitate the use of popclient in scripts,  pipelines,
       etc,  it returns an appropriate exit code upon termination.
             =============================================
DESCRIPTION
       The  fetchpop  program  retrieves  mail from a remote host
       using the POP3 mail  transfer  protocol  as  described  in
       RFC1225 and RFC1081.

       By default, fetchpop retrieves new unread mail and appends
       it to your mailbox file using information specified in the
       file  $HOME/.fetchhost.  If the environment variable $MAIL
       is set, fetchpop appends to the file named.  Otherwise  it
       appends  the  mail  to  MAILSPOOLDIR/$USER.  The retrieved
       messages will be appended to the mail folder file with  an
       exclusive write lock, which means that the mailbox is pro-
       tected from other processes writing to it while a fetchpop
       session  is modifying it.  If there are more than one mail
       host that you want to retrieve mail from, the -f flag  can
       be used. Check the FILES and OPTIONS sections for informa-
       tion.
================================snip here====================================

If anyone feels bothered by my mailing tex-spex, please let me know>;->

Cheers,
Robin

++---+---+---+---+---+---+---+---++---+---+---+---+---++---+---+---+---+---++
   Robin S. Socha	 Political Science Dept.	Tel: +49(0228)22217-8
   Bonner Talweg 56	 Bonn University		Fax: +49(0228)22217-9
   53113 Bonn		 email: [email-masked]
++---+---+---+---+---+---+---+---++---+---+---+---+---++---+---+---+---+---++
       On the package it said: "Requires MS Windows 3.11 or better"  
	       			      ...  so I got myself Linux. 
++---+---+---+---+---+---+---+---++---+---+---+---+---++---+---+---+---+---++

---

From: "Jason Englander" <[email-masked]>
Date: Mon, 30 Dec 1996 10:20:18 -0600

> pine does not support POP, only IMAP.

Pine for UNIX does support POP3.  My mail server is 
mailhost.interl.net so I set the following as an incoming folder:

	"Remote Inbox" {mailhost.interl.net/pop3}INBOX

...but I've been using fetchmail (and popclient before that) for 
quite a while so don't quote me on the exact syntax.  I'm not sure 
what versions have 'support' for it, but I used it in version 
3.95

   Jason

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
E-mail: [email-masked], @isonline.com, @usa.net
Home: http://www.interl.net/~jasoneng/
Linux: http://nll.home.ml.org/
PGP Key: homepage + pgpkey.asc
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

---

From: [email-masked] (Jint)
Date: Mon, 30 Dec 1996 21:55:12 GMT

In article <[email-masked]>,
Jason Englander <[email-masked]> wrote:
[...]
>quite a while so don't quote me on the exact syntax. [...]  

I haven't tried it yet, but in one of the Linux groups someone posted:

	inbox-path={<insert POP3 server>/110}INBOX

Basically the same as what you posted, except I don't see a field named 
"Remote Inbox" in pine's configuration menu. I wonder if adding that line 
directly into the .pinerc and setting inbox-path to a local mail folder 
would allow pine to use both POP3 and local mail successfully.

The thing I fear about setting the inbox-path to the POP3 is that pine 
will probably scream that the inbox doesn't exist if you go into it while 
your PPP connection is down.

Once again, I didn't try this yet, but I will when I get home.

-- 
Jint -- [email-masked]